import { createHttpError } from '../../utils/createHttpError';
import { requestInitCluster } from './requests/requestInitCluster';
export class ClusterAlreadyInitializedError extends Error {
}
export async function initCluster(apiConfig, initClusterParams) {
    const response = await requestInitCluster(apiConfig, initClusterParams);
    if (response.status === 401) {
        throw new ClusterAlreadyInitializedError('Cluster already initialized.', {
            cause: response,
        });
    }
    if (!response.ok) {
        throw createHttpError('POST', response);
    }
}
//# sourceMappingURL=initCluster.js.map