import { AnalyticsEncryptionLevelName, OneOf } from '@cbjsdev/shared';
import { ApiAnalyticsLinkSharedProperties } from './ApiAnalyticsLink';
export type ApiAnalyticsCouchbaseAuthBasic = {
    /**
     * Used for basic authentication.
     */
    username: string;
    /**
     * Used for basic authentication.
     */
    password: string;
};
export type ApiAnalyticsCouchbaseAuthClientCertificate = {
    /**
     * Content of the root certificate.
     *
     * Used for certificate based authenticated.
     */
    certificate: string;
    /**
     * Content of the client certificate.
     *
     * Used for certificate based authenticated.
     */
    clientCertificate: string;
    /**
     * Content of the client key.
     *
     * Used for certificate based authenticated.
     */
    clientKey: string;
};
export type ApiAnalyticsCouchbaseAuth = OneOf<[
    ApiAnalyticsCouchbaseAuthBasic,
    ApiAnalyticsCouchbaseAuthClientCertificate
]>;
export type ApiAnalyticsCouchbaseRemoteLink = ApiAnalyticsCouchbaseAuth & {
    type: 'couchbase';
    hostname: string;
    encryption: AnalyticsEncryptionLevelName;
} & ApiAnalyticsLinkSharedProperties;
