import { Keyspace } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../types';
import { WaitForOptions } from './types';
type WaitForQueryIndexOptions = WaitForOptions & {
    awaitMutations?: boolean;
};
/**
 * Wait for the query index to be visible by the query service and wait until no mutations are remaining.
 *
 * You can opt-out waiting for mutations by passing `{ awaitMutations: false }`.
 *
 * @param apiConfig
 * @param indexName
 * @param keyspace
 * @param options
 */
export declare function waitForQueryIndex(apiConfig: CouchbaseHttpApiConfig, indexName: string, keyspace: Keyspace, options?: WaitForQueryIndexOptions): Promise<void>;
export {};
